Bug 495971 - When I use my USB2 stick the read / write transfer rate is much below the expected regardless the brand of the USB key.
When I use my USB2 stick the read / write transfer rate is much below the exp...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: usbmon (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-15 14:50 EDT by Delian
Modified: 2009-12-18 04:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:15:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Delian 2009-04-15 14:50:49 EDT
Description of problem:
When I use my USB2 stick the read / write transfer rate is much below the expected regardless the brand of the USB key.

Please see the benchmark results I put under Actual results:

Version-Release number of selected component (if applicable):

here are the kernel messages on mounting the drive:

Apr 15 14:22:49 localhost kernel: usb 2-4: new high speed USB device using ehci_hcd and address 11
Apr 15 14:22:49 localhost kernel: usb 2-4: configuration #1 chosen from 1 choice
Apr 15 14:22:49 localhost kernel: scsi11 : SCSI emulation for USB Mass Storage devices.
Apr 15 14:22:49 localhost kernel: usb 2-4: New USB device found, idVendor=0781, idProduct=5151
Apr 15 14:22:49 localhost kernel: usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Apr 15 14:22:49 localhost kernel: usb 2-4: Product: Cruzer Micro
Apr 15 14:22:49 localhost kernel: usb 2-4: Manufacturer: SanDisk
Apr 15 14:22:49 localhost kernel: usb 2-4: SerialNumber: 224373077F51195C
Apr 15 14:22:54 localhost kernel: scsi 11:0:0:0: Direct-Access     SanDisk  Cruzer Micro     8.02 PQ: 0 ANSI: 0 CCS
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] 15695871 512-byte hardware sectors (8036 MB)
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] Write Protect is off
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] Assuming drive cache: write through
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] 15695871 512-byte hardware sectors (8036 MB)
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] Write Protect is off
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] Assuming drive cache: write through
Apr 15 14:22:54 localhost kernel: sdb: sdb1 sdb2 sdb3
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: [sdb] Attached SCSI removable disk
Apr 15 14:22:54 localhost kernel: sd 11:0:0:0: Attached scsi generic sg2 type 0
Apr 15 14:22:54 localhost kernel: kjournald starting.  Commit interval 5 seconds
Apr 15 14:22:54 localhost kernel: EXT3 FS on sdb2, internal journal
Apr 15 14:22:54 localhost kernel: EXT3-fs: recovery complete.
Apr 15 14:22:54 localhost hald: mounted /dev/sdb2 on behalf of uid 0
Apr 15 14:22:54 localhost kernel: EXT3-fs: mounted filesystem with ordered data mode.

Here is the info from lsusb -v:

Bus 002 Device 011: ID 0781:5151 SanDisk Corp. Cruzer Micro 256/512MB Flash Drive
Device Descriptor:
  bLengh                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x0781 SanDisk Corp.
  idProduct          0x5151 Cruzer Micro 256/512MB Flash Drive
  bcdDevice            2.00
  iManufacturer           1 SanDisk
  iProduct                2 Cruzer Micro
  iSerial                 3 224373077F51195C
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              200mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              0 
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0200  1x 512 bytes
        bInterval               0
Device Qualifier (for other device speed):
  bLength                10
  bDescriptorType         6
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  bNumConfigurations      1
Device Status:     0x0000
  (Bus Powered)


How reproducible:
Every time I plug the USB stick

Steps to Reproduce:
1.plug the USB in
2.
3.
  
Actual results:

dd bs=1M count=100 if=/dev/zero of=/mnt/testfile
100+0 records in
100+0 records out
104857600 bytes (105 MB) copied, 18.1656 s, 5.8 MB/s
 transfer rate is supposed to be much higher
hdparm -t /dev/sdb2

/dev/sdb2: 
Timing buffered disk reads:   60 MB in  3.02 seconds =  19.88 MB/sec

Expected results:
The read / write transfer rate is supposed to be much higher

Additional info:

I've been testing with the same lack of success on my brand new DELL studio 17 laptop with all USB2 ports as well as on my person computer both with the same software configuration:
Linux localhost 2.6.27.21-170.2.56.fc10.i686 #1 SMP Mon Mar 23 23:37:54 EDT 2009 i686 i686 i386 GNU/Linux
Comment 1 Bug Zapper 2009-11-18 06:44:16 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:15:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.